#ifndef SIM_GAME_INPUT_H
#define SIM_GAME_INPUT_H

typedef struct {
    bool right;
    bool left;
} Simulation_Game_Input;

static inline bool simulation_input_empty(Simulation_Game_Input input) {
    if(input.right) {
        return false;
    }
    if(input.left) {
        return false;
    }

    return true;
}

#endif